Index: /anuga_work/production/broome_2006/build_broome.py
===================================================================
--- /anuga_work/production/broome_2006/build_broome.py	(revision 4289)
+++ /anuga_work/production/broome_2006/build_broome.py	(revision 4290)
@@ -51,5 +51,4 @@
 # Fine pts file to be clipped to area of interest
 #-------------------------------------------------------------------------------
-print"project.bounding_polygon",project.bounding_polygon
 print"project.combined_dir_name",project.combined_dir_name
 
@@ -57,26 +56,21 @@
 onshore_in_dir_name = project.onshore_in_dir_name
 coast_in_dir_name = project.coast_in_dir_name
-island_in_dir_name = project.island_in_dir_name
-island_in_dir_name1 = project.island_in_dir_name1
-island_in_dir_name2 = project.island_in_dir_name2
-island_in_dir_name3 = project.island_in_dir_name3
+#island_in_dir_name = project.island_in_dir_name
 offshore_in_dir_name = project.offshore_in_dir_name
-offshore1_in_dir_name = project.offshore1_in_dir_name
+offshore_in_dir_name1 = project.offshore_in_dir_name1
+offshore_in_dir_name2 = project.offshore_in_dir_name2
 
 onshore_dir_name = project.onshore_dir_name
 coast_dir_name = project.coast_dir_name
-island_dir_name = project.island_dir_name
-island_dir_name1 = project.island_dir_name1
-island_dir_name2 = project.island_dir_name2
-island_dir_name3 = project.island_dir_name3
+#island_dir_name = project.island_dir_name
 offshore_dir_name = project.offshore_dir_name
+offshore_dir_name1 = project.offshore_dir_name1
+offshore_dir_name2 = project.offshore_dir_name2
 
 # creates DEM from asc data
 print "creates DEMs from asc data"
 convert_dem_from_ascii2netcdf(onshore_in_dir_name, basename_out=onshore_dir_name, use_cache=True, verbose=True)
-convert_dem_from_ascii2netcdf(island_in_dir_name, basename_out=island_dir_name, use_cache=True, verbose=True)
-convert_dem_from_ascii2netcdf(island_in_dir_name1, basename_out=island_dir_name1, use_cache=True, verbose=True)
-convert_dem_from_ascii2netcdf(island_in_dir_name2, basename_out=island_dir_name2, use_cache=True, verbose=True)
-convert_dem_from_ascii2netcdf(island_in_dir_name3, basename_out=island_dir_name3, use_cache=True, verbose=True)
+convert_dem_from_ascii2netcdf(offshore_in_dir_name1, basename_out=offshore_dir_name1, use_cache=True, verbose=True)
+convert_dem_from_ascii2netcdf(offshore_in_dir_name2, basename_out=offshore_dir_name2, use_cache=True, verbose=True)
 
 #creates pts file for onshore DEM
@@ -87,28 +81,22 @@
 
 #creates pts file for island DEM
-dem2pts(island_dir_name, use_cache=True, verbose=True)
-dem2pts(island_dir_name1, use_cache=True, verbose=True)
-dem2pts(island_dir_name2, use_cache=True, verbose=True)
-dem2pts(island_dir_name3, use_cache=True, verbose=True)
+dem2pts(offshore_in_dir_name1, use_cache=True, verbose=True)
+dem2pts(offshore_in_dir_name2, use_cache=True, verbose=True)
 
 print'create Geospatial data1 objects from topographies'
 G1 = Geospatial_data(file_name = onshore_dir_name + '.pts')
-print'create Geospatial data2 objects from topographies'
-G2 = Geospatial_data(file_name = coast_in_dir_name + '.xya')
-print'create Geospatial data3 objects from topographies'
-G3 = Geospatial_data(file_name = island_dir_name + '.pts')
-print'create Geospatial data4 objects from topographies'
-G4 = Geospatial_data(file_name = island_dir_name1 + '.pts')
-print'create Geospatial data5 objects from topographies'
-G5 = Geospatial_data(file_name = island_dir_name2 + '.pts')
-print'create Geospatial data6 objects from topographies'
-G6 = Geospatial_data(file_name = island_dir_name3 + '.pts')
-print'create Geospatial data7 objects from topographies'
-G_off = Geospatial_data(file_name = offshore_in_dir_name + '.xya')
-print'create Geospatial data8 objects from topographies'
-G_off1 = Geospatial_data(file_name = offshore1_in_dir_name + '.xya')
+print'create Geospatial data2 objects from coast'
+G2 = Geospatial_data(file_name = coast_in_dir_name + '.txt')
+#print'create Geospatial data3 objects from island'
+#G3 = Geospatial_data(file_name = island_dir_name + '.pts')
+print'create Geospatial data3 objects from offshore'
+G_off = Geospatial_data(file_name = offshore_in_dir_name + '.txt')
+print'create Geospatial data4 objects from offshore1'
+G_off1 = Geospatial_data(file_name = offshore_in_dir_name1 + '.pts')
+print'create Geospatial data4 objects from offshore2'
+G_off2 = Geospatial_data(file_name = offshore_in_dir_name2 + '.pts')
 
 print'add all geospatial objects'
-G = G1 + G2 + G3 + G4 + G5 + G6 + G_off + G_off1 
+G = G1 + G2 + G_off + G_off1 + G_off2 
 
 print'clip combined geospatial object by bounding polygon'
@@ -117,9 +105,14 @@
 #print'shape of clipped data', G_clipped.get_data_points().shape
 
+print'split'
+G_main, G_small = G_clipped.split(.10)
+
 print'export combined DEM file'
 if access(project.topographies_dir,F_OK) == 0:
     mkdir (project.topographies_dir)
 G_clipped.export_points_file(project.combined_dir_name + '.txt')
+G_small.export_points_file(project.combined_small_dir_name + '.txt')
 #G_clipped.export_points_file(project.combined_dir_name + '.xya')
+
 
 '''
Index: /anuga_work/production/broome_2006/project.py
===================================================================
--- /anuga_work/production/broome_2006/project.py	(revision 4289)
+++ /anuga_work/production/broome_2006/project.py	(revision 4290)
@@ -36,5 +36,5 @@
 
 # onshore data provided by WA DLI
-onshore_name = 'dted2_z51' # original
+onshore_name = 'Broome_topography_DLI' # original
 
 #island
@@ -42,34 +42,15 @@
 
 # offshore
-coast_name = 'coastline'
-offshore_name1 = 'XY100011610'
-offshore_name2 = 'XY100011611'
-offshore_name3 = 'XY100011613'
-offshore_name4 = 'XY100011614'
-offshore_name5 = 'XY100011616'
-offshore_name6 = 'XY100011617'
-offshore_name7 = 'XY100011618'
-offshore_name8 = 'XY100011621'
-offshore_name9 = 'XY100011623'
-offshore_name10 = 'XY100011745'
-offshore_name11 = 'XY100011746'
-offshore_name12 = 'XY100017530'
-offshore_name13 = 'XY100017532'
-offshore_name14 = 'XY100017538'
-offshore_name15 = 'XY100017540'
-offshore_name16 = 'XYBR66'
-offshore_name17 = 'XYBR70'
-offshore_name18 = 'XYBR80'
-offshore_name19 = 'XYBR88'
-offshore_name20 = 'XYBR93'
-offshore_name21 = 'XYBR0110'
-offshore_name22 = 'XYWADPI'
+coast_name = 'Broome_coastline'
+
+offshore_name = 'Broome_Bathymetry'
+offshore_name1 = 'inferred_north'
+offshore_name2 = 'inferred_south'
 
 #final topo name
-combined_name ='perth_combined_elevation'
-combined_smaller_name = 'perth_combined_elevation_smaller'
+combined_name ='broome_combined_elevation'
+combined_small_name = 'broome_combined_elevation_small'
 
-
-topographies_in_dir = home+sep+state+sep+scenario+sep+'elevation_final'+sep+'points'+sep
+topographies_in_dir = home+sep+state+sep+scenario+sep+'elevation_final'+sep+'points'+sep+'Feb07'+sep
 topographies_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'topographies'+sep
 topographies_time_dir = topographies_dir+build_time+sep
@@ -77,27 +58,25 @@
 #input topo file location
 onshore_in_dir_name = topographies_in_dir + onshore_name
-island_in_dir_name = topographies_in_dir + island_name
-island_in_dir_name1 = topographies_in_dir + island_name1
-island_in_dir_name2 = topographies_in_dir + island_name2
-island_in_dir_name3 = topographies_in_dir + island_name3
+#island_in_dir_name = topographies_in_dir + island_name
 
 coast_in_dir_name = topographies_in_dir + coast_name
+
 offshore_in_dir_name = topographies_in_dir + offshore_name
-offshore1_in_dir_name = topographies_in_dir + offshore1_name
+offshore_in_dir_name1 = topographies_in_dir + offshore_name1
+offshore_in_dir_name2 = topographies_in_dir + offshore_name2
 
 onshore_dir_name = topographies_dir + onshore_name
-island_dir_name = topographies_dir + island_name
-island_dir_name1 = topographies_dir + island_name1
-island_dir_name2 = topographies_dir + island_name2
-island_dir_name3 = topographies_dir + island_name3
+
+#island_dir_name = topographies_dir + island_name
 
 coast_dir_name = topographies_dir + coast_name
+
 offshore_dir_name = topographies_dir + offshore_name
+offshore_dir_name1 = topographies_dir + offshore_name1
+offshore_dir_name2 = topographies_dir + offshore_name2
 
 #final topo files
 combined_dir_name = topographies_dir + combined_name
-combined_time_dir_name = topographies_time_dir + combined_name
-combined_smaller_name_dir = topographies_dir + combined_smaller_name
-#combined_time_dir_final_name = topographies_time_dir + combined_final_name
+combined_small_name_dir = topographies_dir + combined_small_name
 
 meshes_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'meshes'+sep
@@ -140,5 +119,5 @@
 
 poly_all = read_polygon(polygons_dir+'extent.csv')
-res_poly_all = 100000
+res_poly_all = 500000
 
 ###############################
@@ -146,16 +125,19 @@
 ###############################
 
-poly_1 = read_polygon(polygons_dir+'Broome_Local_Polygon_update.csv')
-res_1 = 20000
+poly_1 = read_polygon(polygons_dir+'broome_north_coast.csv')
+res_1 = 50000
 
-poly_2 = read_polygon(polygons_dir+'Broome_Close2_update.csv')
-res_2 = 1000
+poly_2 = read_polygon(polygons_dir+'broome_south_coast.csv')
+res_2 = 50000
 
-poly_3 = read_polygon(polygons_dir+'Broome_Coast_update2.csv')
-res_3 = 1000
+poly_3 = read_polygon(polygons_dir+'Broome_town_pts.csv')
+res_3 = 10000
+
+poly_4 = read_polygon(polygons_dir+'Broome_inner_town_pts.csv')
+res_4 = 1000
 #assert zone == refzone
 
 interior_regions = [[poly_1,res_1],[poly_2,res_2]
-                     ,[poly_3,res_3]]
+                     ,[poly_3,res_3],[poly_4,res_4]]
 
 trigs_min = number_mesh_triangles(interior_regions, poly_all, res_poly_all)