Index: anuga_work/production/gold_coast_2007/export_results.py
===================================================================
--- anuga_work/production/gold_coast_2007/export_results.py	(revision 4294)
+++ anuga_work/production/gold_coast_2007/export_results.py	(revision 4294)
@@ -0,0 +1,66 @@
+import project, os
+import sys
+
+from anuga.shallow_water.data_manager import sww2dem
+from os import sep
+
+time_dir = '20070228_071238'
+
+directory = project.outputdir
+name = directory + time_dir + sep + project.basename
+
+is_parallel = False
+if is_parallel == True: nodes = 4
+print 'output dir:', name
+
+which_var = 2
+if which_var == 0:  # Stage
+    outname = name + '_stage-eq-thurs-test'
+    quantityname = 'stage'
+
+if which_var == 1:  # Absolute Momentum
+    outname = name + '_momentum_i1'
+    quantityname = '(xmomentum**2 + ymomentum**2)**0.5'  
+
+if which_var == 2:  # Depth
+    outname = name + '_depth-eq'
+    quantityname = 'stage-elevation'  
+
+if which_var == 3:  # Speed
+    outname = name + '_speed_i0'
+    #quantityname = '((xmomentum/(stage-elevation))**2 + (ymomentum/(stage-elevation))**2)**0.5'  #Speed
+    quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-30)'  #Speed
+
+if which_var == 4:  # Elevation
+    outname = name + '_elevation'
+    quantityname = 'elevation'  #Elevation
+
+if is_parallel == True:
+    for i in range(0,nodes):
+        namei = name + '_P%d_%d' %(i,nodes)
+        outnamei = outname + '_P%d_%d' %(i,nodes)
+        print 'start sww2dem for sww file %d' %(i)
+        sww2dem(namei, basename_out = outnamei,
+                    quantity = quantityname,
+                    timestep = 1,
+                    cellsize = 100,      
+                    #easting_min = project.e_min_area,
+                    #easting_max = project.e_max_area,
+                    #northing_min = project.n_min_area,
+                    #northing_max = project.n_max_area,        
+                    reduction = max, 
+                    verbose = True,
+                    format = 'asc')
+else:
+    print 'start sww2dem'
+    sww2dem(name, basename_out = outname,
+                quantity = quantityname,
+                #timestep = 0,
+                cellsize = 50,      
+                easting_min = project.eastingmin,
+                easting_max = project.eastingmax,
+                northing_min = project.northingmin,
+                northing_max = project.northingmax,        
+                reduction = max, 
+                verbose = True,
+                format = 'asc')
Index: anuga_work/production/gold_coast_2007/project.py
===================================================================
--- anuga_work/production/gold_coast_2007/project.py	(revision 4294)
+++ anuga_work/production/gold_coast_2007/project.py	(revision 4294)
@@ -0,0 +1,80 @@
+# -*- coding: cp1252 -*-
+"""Common filenames and locations for topographic data, meshes and outputs.
+"""
+
+from os import sep, environ, getenv, getcwd
+from os.path import expanduser
+import sys
+from time import localtime, strftime, gmtime
+from anuga.utilities.polygon import read_polygon, plot_polygons, polygon_area, is_inside_polygon
+
+if sys.platform == 'win32':
+    home = getenv('INUNDATIONHOME')
+    user = getenv('USERPROFILE')
+
+else:    
+    home = getenv('INUNDATIONHOME', sep+'d'+sep+'xrd'+sep+'gem'+sep+'2'+sep+'ramp'+sep+'risk_assessment_methods_project'+sep+'inundation')     
+    user = getenv('LOGNAME')
+    print 'USER:', user
+
+# INUNDATIONHOME is the inundation directory, not the data directory.
+home += sep +'data'
+
+#Making assumptions about the location of scenario data
+state = 'queensland'
+scenario_dir_name = 'gold_coast_hypothetical'
+
+# 250K product
+gc250 = 'dem_250'
+
+#swollen/ all data output
+basename = 'source'
+codename = 'project.py'
+
+#Derive subdirectories and filenames
+local_time = strftime('%Y%m%d_%H%M%S',gmtime()) 
+meshdir = home+sep+state+sep+scenario_dir_name+sep+'anuga'+sep+'meshes'+sep
+datadir = home+sep+state+sep+scenario_dir_name+sep+'anuga'+sep+'topographies'+sep
+gaugedir = home+sep+state+sep+scenario_dir_name+sep+'anuga'+sep+'gauges'+sep
+polygondir = home+sep+state+sep+scenario_dir_name+sep+'anuga'+sep+'polygons'+sep
+boundarydir = home+sep+sep+state+sep+scenario_dir_name+sep+'anuga'+sep+'boundaries'+sep
+outputdir = home+sep+state+sep+scenario_dir_name+sep+'anuga'+sep+'outputs'+sep
+outputtimedir = outputdir + local_time + sep
+polygondir = home+sep+state+sep+scenario_dir_name+sep+'anuga'+sep+'polygons'+sep
+
+#gauge_filename = gaugedir + 'sydney_slide_gauges.csv'
+codedir = getcwd()+sep                            
+codedirname = codedir + 'project.py'
+meshname = outputtimedir + 'mesh_' + basename
+
+# Necessary if using point datasets, rather than grid
+gc_dem_name = datadir + gc250
+combined_dem_name   = datadir + 'gc_elevation'
+
+###############################
+# Domain definitions
+###############################
+
+# bounding polygon for study area
+polyAll = read_polygon(polygondir+'extent.csv')
+
+print 'Area of bounding polygon', polygon_area(polyAll)/1000000.0
+
+###############################
+# Interior region definitions
+###############################
+
+# digitized polygons
+poly_int = read_polygon(polygondir+'surfers.csv')
+
+print 'Area of local polygon', polygon_area(poly_int)/1000000.0
+
+###################################################################
+# Clipping regions for export to asc and regions for clipping data
+###################################################################
+
+# exporting asc grid
+eastingmin = 538450
+eastingmax = 546775
+northingmin = 6890540
+northingmax = 6902925
Index: anuga_work/production/gold_coast_2007/run_goldcoast.py
===================================================================
--- anuga_work/production/gold_coast_2007/run_goldcoast.py	(revision 4294)
+++ anuga_work/production/gold_coast_2007/run_goldcoast.py	(revision 4294)
@@ -0,0 +1,143 @@
+"""Script for running a hypothetical inundation scenario for Gold Coast,
+QLD, Australia.
+
+Source data such as elevation and boundary data is assumed to be available in
+directories specified by project.py
+The output sww file is stored in project.outputtimedir 
+
+The scenario is defined by a triangular mesh created from project.polygon,
+the elevation data and a tsunami wave generated by s submarine mass failure.
+
+Ole Nielsen and Duncan Gray, GA - 2005 and Nick Bartzis, GA - 2006
+"""
+
+#-------------------------------------------------------------------------------
+# Import necessary modules
+#-------------------------------------------------------------------------------
+
+# Standard modules
+import os
+import time
+from shutil import copy
+from os.path import dirname, basename
+from os import mkdir, access, F_OK, sep
+import sys
+
+# Related major packages
+from anuga.shallow_water import Domain, Reflective_boundary, Dirichlet_boundary, Time_boundary
+from anuga.shallow_water.data_manager import convert_dem_from_ascii2netcdf, dem2pts
+from anuga.geospatial_data.geospatial_data import *
+from anuga.abstract_2d_finite_volumes.util import start_screen_catcher, copy_code_files
+
+# Application specific imports
+import project              # Definition of file names and polygons
+
+#-------------------------------------------------------------------------------
+# Copy scripts to time stamped output directory and capture screen
+# output to file
+#-------------------------------------------------------------------------------
+
+# creates copy of code in output dir 
+copy_code_files(project.outputtimedir,__file__,dirname(project.__file__)+sep+ project.__name__+'.py' )
+myid = 0
+numprocs = 1
+start_screen_catcher(project.outputtimedir, myid, numprocs)
+
+print 'USER:    ', project.user
+
+#-------------------------------------------------------------------------------
+# Preparation of topographic data
+#
+# Convert ASC 2 DEM 2 PTS using source data and store result in source data
+#-------------------------------------------------------------------------------
+
+# filenames
+gc_dem_name = project.gc_dem_name
+meshname = project.meshname+'.msh'
+
+# creates DEM from asc data
+convert_dem_from_ascii2netcdf(gc_dem_name, use_cache=True, verbose=True)
+
+#creates pts file for onshore DEM
+dem2pts(gc_dem_name, use_cache=True, verbose=True)
+
+G = Geospatial_data(file_name = project.gc_dem_name + '.pts')
+
+G.export_points_file(project.combined_dem_name + '.pts')
+
+
+#----------------------------------------------------------------------------
+# Create the triangular mesh based on overall clipping polygon with a tagged
+# boundary and interior regions defined in project.py along with
+# resolutions (maximal area of per triangle) for each polygon
+#-------------------------------------------------------------------------------
+
+from anuga.pmesh.mesh_interface import create_mesh_from_regions
+remainder_res = 150000.
+int_res = 1000.
+interior_regions = [[project.poly_int, int_res]]
+
+from caching import cache
+_ = cache(create_mesh_from_regions,
+          project.polyAll,
+           {'boundary_tags': {'e0': [0], 'e1': [1], 'e2': [2], 'e3': [3]},
+           'maximum_triangle_area': remainder_res,
+           'filename': meshname,
+           'interior_regions': interior_regions},
+          verbose = True, evaluate=False)
+
+#-------------------------------------------------------------------------------                                 
+# Setup computational domain
+#-------------------------------------------------------------------------------                                 
+domain = Domain(meshname, use_cache = True, verbose = True)
+
+print 'Number of triangles = ', len(domain)
+print 'The extent is ', domain.get_extent()
+print domain.statistics()
+
+domain.set_name(project.basename)
+domain.set_datadir(project.outputtimedir)
+domain.set_quantities_to_be_stored(['stage', 'xmomentum', 'ymomentum'])
+domain.set_minimum_storable_height(0.01)
+
+#-------------------------------------------------------------------------------                                 
+# Setup initial conditions
+#-------------------------------------------------------------------------------
+
+tide = 0.0
+domain.set_quantity('stage', tide)
+domain.set_quantity('friction', 0.0) 
+domain.set_quantity('elevation', 
+                    filename = project.combined_dem_name + '.pts',
+                    use_cache = True,
+                    verbose = True,
+                    alpha = 0.1
+                    )
+
+#-------------------------------------------------------------------------------                                 
+# Setup boundary conditions
+#-------------------------------------------------------------------------------
+print 'Available boundary tags', domain.get_boundary_tags()
+
+Br = Reflective_boundary(domain)
+Bd = Dirichlet_boundary([tide,0,0])
+Bw = Time_boundary(domain=domain, # Time dependent boundary
+                   f=lambda t: [(60<t<660)*6., 0, 0])
+
+domain.set_boundary( {'e0': Bw,  'e1': Bd, 'e2': Bd, 'e3': Bd} )
+
+
+#-------------------------------------------------------------------------------                                 
+# Evolve system through time
+#-------------------------------------------------------------------------------
+import time
+
+t0 = time.time()
+
+for t in domain.evolve(yieldstep = 10, finaltime = 5000): 
+    domain.write_time()
+    domain.write_boundary_statistics(tags = 'e0')
+    
+print 'That took %.2f seconds' %(time.time()-t0)
+
+print 'finished'
Index: anuga_work/production/sydney_2006/export_results.py
===================================================================
--- anuga_work/production/sydney_2006/export_results.py	(revision 4291)
+++ anuga_work/production/sydney_2006/export_results.py	(revision 4294)
@@ -11,13 +11,10 @@
 #time_dir = '20070121_213509' #shovel
 #time_dir = '20070119_055222' #yacaaba
-time_dir = '20070121_213444' #bulli
+#time_dir = '20070121_213444' #bulli
 
-#correct depths
-time_dir = '20070213_031322' #	shovel
-#time_dir = '20070213_033012' #	bulli
-#time_dir = '20070213_033058' #	yacaaba
-
-directory = project_slide.outputdir
-name = directory + time_dir + sep + project_slide.basename
+#directory = project_slide.outputdir
+#name = directory + time_dir + sep + project_slide.basename
+name = 'test500000.035000'
+#name = 'test'
 
 is_parallel = False
@@ -25,7 +22,7 @@
 print 'output dir:', name
 
-which_var = 2
+which_var = 0
 if which_var == 0:  # Stage
-    outname = name + '_stage'
+    outname = name + '_stage-eq-thurs-test'
     quantityname = 'stage'
 
@@ -35,5 +32,5 @@
 
 if which_var == 2:  # Depth
-    outname = name + '_depth-shovel'
+    outname = name + '_depth-eq'
     quantityname = 'stage-elevation'  
 
@@ -67,5 +64,6 @@
     sww2dem(name, basename_out = outname,
                 quantity = quantityname,
-                cellsize = 20,      
+                timestep = 0,
+                cellsize = 50,      
                 easting_min = project_slide.eastingmin,
                 easting_max = project_slide.eastingmax,
Index: anuga_work/production/sydney_2006/project_slide.py
===================================================================
--- anuga_work/production/sydney_2006/project_slide.py	(revision 4291)
+++ anuga_work/production/sydney_2006/project_slide.py	(revision 4294)
@@ -82,5 +82,5 @@
 # Domain definitions
 ###############################
-
+"""
 # bounding polygon for study area
 polyAll = read_polygon(polygondir+'extent3.csv')
@@ -133,4 +133,15 @@
 northingmin = 6244800
 northingmax = 6274550
+"""
+# exporting asc grid
+eastingmin = 318922+10000
+eastingmax = 318922+45000
+northingmin = 6231749+7500
+northingmax = 6231749+48000
+
+#eastingmin = -40
+#eastingmax = 40
+#northingmin = -20
+#northingmax = 20
 
 ###################################################################
Index: anuga_work/production/sydney_2006/report/anuga_setup.tex
===================================================================
--- anuga_work/production/sydney_2006/report/anuga_setup.tex	(revision 4291)
+++ anuga_work/production/sydney_2006/report/anuga_setup.tex	(revision 4294)
@@ -120,30 +120,30 @@
 $\backslash {\rm inundation \backslash data \backslash new\_south\_wales
 \backslash }$ \\ \hline
-A & Bulli &  $ {\rm wollongong \_tsunami\_scenario\_2006 \backslash anuga
-\backslash outputs \backslash 20061211\_060105}$ \\ \hline
-A & Shovel & ${\rm wollongong \_tsunami\_scenario\_2006 \backslash anuga
+A & Bulli - Historical &  $ {\rm wollongong \_tsunami\_scenario\_2006 \backslash anuga
+\backslash outputs \backslash 20070213\_035110}$ \\ \hline
+A & Shovel - Historical & ${\rm wollongong \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
-20061212\_012715}$ \\ \hline
+20070213\_035146}$ \\ \hline
 A & Yacaaba & ${\rm wollongong \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
-20061212\_064735}$ \\ \hline
+20070213\_035302}$ \\ \hline
 B & Bulli &  ${\rm sydney \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
-20061211\_071516}$ \\ \hline
+20070213\_033012}$ \\ \hline
 B & Shovel & ${\rm sydney \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
-20061212\_012705}$ \\ \hline
+20070213\_031322}$ \\ \hline
 B & Yacaaba & $\rm{ sydney \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
-20061212\_064807}$ \\ \hline
+20070213\_033058}$ \\ \hline
 C & Bulli &  ${\rm newcastle \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
-20061211\_073709}$ \\ \hline
+20070219\_060722}$ \\ \hline
 C & Shovel &  ${\rm newcastle \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
-20061212\_012802}$ \\ \hline
-C & Yacaaba & ${\rm newcastle \_tsunami\_scenario\_2006 \backslash anuga
+20070219\_060808}$ \\ \hline
+C & Yacaaba - Historical & ${\rm newcastle \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
-20061212\_064757}$ \\ \hline
+20070219\_060854}$ \\ \hline
 \end{tabular}
 
Index: anuga_work/production/sydney_2006/report/bulli_A_map.tex
===================================================================
--- anuga_work/production/sydney_2006/report/bulli_A_map.tex	(revision 4291)
+++ anuga_work/production/sydney_2006/report/bulli_A_map.tex	(revision 4294)
@@ -1,10 +1,13 @@
 %\begin{sidewaysfigure}
 
+%\begin{figure}
+%\centering
+%\begin{tabular}{cc}
+%\includegraphics[scale=0.4]{../report_figures/bulliA.jpg} & 
+%\includegraphics[scale=0.4]{../report_figures/bulliAimagery.jpg} \\
+%\end{tabular}
 \begin{figure}
 \centering
-\begin{tabular}{cc}
-\includegraphics[scale=0.4]{../report_figures/bulliA.jpg} & 
-\includegraphics[scale=0.4]{../report_figures/bulliAimagery.jpg} \\
-\end{tabular}
+\includegraphics[scale=0.5]{..../report_figures/bulliAimageryreviseddepth.jpg}
 \caption{Maximum inundation map for the Bulli slide in region A. Data: NSW Department of Lands and AHO.}  
 \label{fig:bulliA}
Index: anuga_work/production/sydney_2006/report/bulli_B_map.tex
===================================================================
--- anuga_work/production/sydney_2006/report/bulli_B_map.tex	(revision 4291)
+++ anuga_work/production/sydney_2006/report/bulli_B_map.tex	(revision 4294)
@@ -3,8 +3,5 @@
 \begin{figure}
 \centering
-\begin{tabular}{cc}
-\includegraphics[scale=0.4]{../report_figures/bulliB.jpg} & 
-\includegraphics[scale=0.4]{../report_figures/bulliBimagery.jpg} \\
-\end{tabular}
+\includegraphics[scale=0.4]{../report_figures/bulliBimageryreviseddepth.jpg}
 \caption{Maximum inundation map for the Bulli slide in region B. Data: NSW Department of Lands and AHO.}  
 \label{fig:bulliB}
Index: anuga_work/production/sydney_2006/report/bulli_C_map.tex
===================================================================
--- anuga_work/production/sydney_2006/report/bulli_C_map.tex	(revision 4291)
+++ anuga_work/production/sydney_2006/report/bulli_C_map.tex	(revision 4294)
@@ -3,8 +3,5 @@
 \begin{figure}
 \centering
-\begin{tabular}{cc}
-\includegraphics[scale=0.4]{../report_figures/bulliC.jpg} &
-\includegraphics[scale=0.4]{../report_figures/bulliCimagery.jpg} \\
-\end{tabular}
+\includegraphics[scale=0.4]{../report_figures/bulliCimageryreviseddepth.jpg} 
 \caption{Maximum inundation map for the Bulli slide in region C. Data: NSW Department of Lands and AHO.}  
 \label{fig:bulliC}
Index: anuga_work/production/sydney_2006/report/execsum.tex
===================================================================
--- anuga_work/production/sydney_2006/report/execsum.tex	(revision 4291)
+++ anuga_work/production/sydney_2006/report/execsum.tex	(revision 4294)
@@ -10,6 +10,6 @@
 for submarine mass failures based on results from the October 2006 Continental
 Slope Survey. In particular, three slides are modelled in three regions; 
-Wollongong, Sydney and Newcastle. One of these slides represents a historical event
-and the remainder represent potential slide scenarios.
+Wollongong, Sydney and Newcastle. Three of the nine slides modelled
+represent historical events and the remainder represent potential slide scenarios.
 
 
Index: anuga_work/production/sydney_2006/report/interpretation.tex
===================================================================
--- anuga_work/production/sydney_2006/report/interpretation.tex	(revision 4291)
+++ anuga_work/production/sydney_2006/report/interpretation.tex	(revision 4294)
@@ -1,5 +1,5 @@
 
 The modelling has considered three separate regions based on the location
-of the potential slide failures. The regions A, B and C refer
+of the historical and potential slide failures. The regions A, B and C refer
 to Wollongong, Sydney and Newcastle. Figure \ref{fig:overallmodel} shows
 each model with respect to each other and highlights the location
@@ -8,20 +8,20 @@
 
 \begin{figure}[h]
-\centerline{\includegraphics[scale=0.4]{../report_figures/overallmodel.jpg}}
+\centerline{\includegraphics[scale=0.4]{../report_figures/overallmodelv2.jpg}}
 \caption{NSW region showing the location of each study region and the location
-of the origin of the slide.}
+of the origin of the historical and potential slide.}
 \label{fig:overallmodel}
 \end{figure}
 
 The purpose of this section is show the maximum inundation map for each
-slide scenario for region A, B and C. The Bulli slide is considered to
-have occurred with the Shovel and Yacaaba considered as potential slides.
+slide scenario for region A, B and C. The Bulli and Shovel slide occurring
+in region A and the Yacaaba slide in region C are considered to have occurred.
+The potential slides are based on the volumes of these slides located in 
+appropriate locations in the other regions.
+The outputs in region B should thus be interpretted as potential tsunami inundation
+for slides of varied volume. 
 The modelling effectively describes the output as a function of slide
-volume with Bulli the largest. The outputs should thus be interpretted
-as potential outputs with the Bulli volume occurring in region A as the 
-only to have occurred. This event may be used in paleo-tsunami 
-investigations due to occur in early 2007. The remaining events may
-then be used to described the potential tsunami inundation for slides 
-of varied volume.
+volume with Bulli the largest. This event may be used in paleo-tsunami 
+investigations due to occur in early 2007. 
 
 The time to impact after the initiation of the slide is approximately 25 mins 
@@ -40,5 +40,5 @@
 Thickness (m) & 424  & 165  & 144  \\ \hline
 Density g m$^{-3}$ & 1.46  & 1.49  & 1.48  \\ \hline
-Water depth to centre of mass (m) & 2087  & 968  & 1119  \\ \hline
+Water depth to centre of mass (m) & 1470  & 877  & 1223  \\ \hline
 Bathymetric slope (\degree) & 4  & 4  & 3  \\ \hline
 Angular orientation (\degree) & 126 & 118  & 133  \\ \hline
@@ -48,23 +48,21 @@
 \end{table}
 
-
-
 Figures \ref{fig:bulliA}, \ref{fig:bulliB} and \ref{fig:bulliC}
 describe the inundation extent to regions A, B and C respectively
-for the Bulli volume. Similarly, Figures \ref{fig:shovelA}, \ref{fig:shovelB}
+for the Bulli volume, noting that \ref{fig:bulliA} is the historical event.
+Similarly, Figures \ref{fig:shovelA}, \ref{fig:shovelB}
 and \ref{fig:shovelC} describe the inundation extent for the Shovel
-volume with Figures \ref{fig:yacaabaA}, \ref{fig:yacaabaB} and 
-\ref{fig:yacaabaC} describing the inundation extent for the Yacaaba volume.
-It is immediately apparent that there is little difference in the
-inundation extents between the Bulli and Shovel slide volumes.  The reason
-for this may possibly be explained in Figure \ref{fig:depthvsamp}. Here, the 
+volume, noting that \ref{fig:shovelA} is the historical event. 
+Figures \ref{fig:yacaabaA}, \ref{fig:yacaabaB} and 
+\ref{fig:yacaabaC} describe the inundation extent for the Yacaaba volume, noting
+that \ref{fig:yacaabaC} is the historical event.
+It appears that the inundation extent grows with the volume of the slide. This may
+be explained through Figure \ref{fig:depthvsamp} where the 
 characteristic three dimensional 
-amplitude is determined as a function of depth for each
-slide volume (see Appendix \ref{sec:smfmodel} for details) 
-with the location of each specific slide marked on its
-corresponding volume. 
-As Figure \ref{fig:depthvsamp} shows, even though the Bulli and Shovel
-slides are considered to occur in different depths of water, the
-resultant amplitude are approximately equal.
+amplitude is shown as a function of depth for each
+slide volume (see Appendix \ref{sec:smfmodel} for details). The depth
+for each specific slide is marked on the curve corresponding to its volume. From this we
+can see that the initial amplitude is greatest for the Bulli slide, followed by the Shove
+and Yacaaba.
 
 \begin{figure}[h]
Index: anuga_work/production/sydney_2006/report/shovel_A_map.tex
===================================================================
--- anuga_work/production/sydney_2006/report/shovel_A_map.tex	(revision 4291)
+++ anuga_work/production/sydney_2006/report/shovel_A_map.tex	(revision 4294)
@@ -3,8 +3,5 @@
 \begin{figure}
 \centering
-\begin{tabular}{cc}
-\includegraphics[scale=0.4]{../report_figures/shovelA.jpg} &
-\includegraphics[scale=0.4]{../report_figures/shovelAimagery.jpg} \\
-\end{tabular}
+\includegraphics[scale=0.4]{../report_figures/shovelAimageryreviseddepth.jpg}
 \caption{Maximum inundation map for the Shovel slide in region A. Data: NSW Department of Lands and AHO.}  
 \label{fig:shovelA}
Index: anuga_work/production/sydney_2006/report/shovel_B_map.tex
===================================================================
--- anuga_work/production/sydney_2006/report/shovel_B_map.tex	(revision 4291)
+++ anuga_work/production/sydney_2006/report/shovel_B_map.tex	(revision 4294)
@@ -3,8 +3,5 @@
 \begin{figure}
 \centering
-\begin{tabular}{cc}
-\includegraphics[scale=0.4]{../report_figures/shovelB.jpg} &
-\includegraphics[scale=0.4]{../report_figures/shovelBimagery.jpg} \\
-\end{tabular}
+\includegraphics[scale=0.4]{../report_figures/shovelBimageryreviseddepth.jpg}
 \caption{Maximum inundation map for the Shovel slide in region B. Data: NSW Department of Lands and AHO.}  
 \label{fig:shovelB}
Index: anuga_work/production/sydney_2006/report/shovel_C_map.tex
===================================================================
--- anuga_work/production/sydney_2006/report/shovel_C_map.tex	(revision 4291)
+++ anuga_work/production/sydney_2006/report/shovel_C_map.tex	(revision 4294)
@@ -3,8 +3,5 @@
 \begin{figure}
 \centering
-\begin{tabular}{cc}
-\includegraphics[scale=0.4]{../report_figures/shovelC.jpg} &
-\includegraphics[scale=0.4]{../report_figures/shovelCimagery.jpg} \\
-\end{tabular}
+\includegraphics[scale=0.4]{../report_figures/shovelCimageryreviseddepth.jpg}
 \caption{Maximum inundation map for the Shovel slide in region C. Data: NSW Department of Lands and AHO.}  
 \label{fig:shovelC}
Index: anuga_work/production/sydney_2006/report/summary.tex
===================================================================
--- anuga_work/production/sydney_2006/report/summary.tex	(revision 4291)
+++ anuga_work/production/sydney_2006/report/summary.tex	(revision 4294)
@@ -1,5 +1,7 @@
 This report has described the tsunami inundation occurring at Wollongong,
 Sydney and Newcastle for a range of different slides 
-occurring at Mean Sea Level. 
+occurring at Mean Sea Level. Three of the nine modelled slides are 
+historical; Bulli, Shovel at Wollongong and Yacaaba at Newcastle. The 
+remaining slides are considered potential scenarios.
 The results described must be tempered with the modelling assumptions 
 and the accuracy and coverage of the underlying elevation data.
Index: anuga_work/production/sydney_2006/report/yacaaba_A_map.tex
===================================================================
--- anuga_work/production/sydney_2006/report/yacaaba_A_map.tex	(revision 4291)
+++ anuga_work/production/sydney_2006/report/yacaaba_A_map.tex	(revision 4294)
@@ -3,8 +3,5 @@
 \begin{figure}
 \centering
-\begin{tabular}{cc}
-\includegraphics[scale=0.4]{../report_figures/yacaabaA.jpg} &
-\includegraphics[scale=0.4]{../report_figures/yacaabaAimagery.jpg} \\
-\end{tabular}
+\includegraphics[scale=0.4]{../report_figures/yacaabaAimageryreviseddepth.jpg} 
 \caption{Maximum inundation map for the Yacaaba slide in region A. Data: NSW Department of Lands and AHO.}  
 \label{fig:yacaabaA}
Index: anuga_work/production/sydney_2006/report/yacaaba_B_map.tex
===================================================================
--- anuga_work/production/sydney_2006/report/yacaaba_B_map.tex	(revision 4291)
+++ anuga_work/production/sydney_2006/report/yacaaba_B_map.tex	(revision 4294)
@@ -3,8 +3,5 @@
 \begin{figure}
 \centering
-\begin{tabular}{cc}
-\includegraphics[scale=0.4]{../report_figures/yacaabaB.jpg} &
-\includegraphics[scale=0.4]{../report_figures/yacaabaBimagery.jpg} \\
-\end{tabular}
+\includegraphics[scale=0.4]{../report_figures/yacaabaBimageryreviseddepth.jpg} 
 \caption{Maximum inundation map for the Yacaaba slide in region B. Data: NSW Department of Lands and AHO.}  
 \label{fig:yacaabaB}
Index: anuga_work/production/sydney_2006/report/yacaaba_C_map.tex
===================================================================
--- anuga_work/production/sydney_2006/report/yacaaba_C_map.tex	(revision 4291)
+++ anuga_work/production/sydney_2006/report/yacaaba_C_map.tex	(revision 4294)
@@ -3,8 +3,5 @@
 \begin{figure}
 \centering
-\begin{tabular}{cc}
-\includegraphics[scale=0.4]{../report_figures/yacaabaC.jpg} &
-\includegraphics[scale=0.4]{../report_figures/yacaabaCimagery.jpg} \\
-\end{tabular}
+\includegraphics[scale=0.4]{../report_figures/yacaabaCimageryreviseddepth.jpg} 
 \caption{Maximum inundation map for the Yacaaba slide in region C. Data: NSW Department of Lands and AHO.}  
 \label{fig:yacaabaC}
Index: anuga_work/production/sydney_2006/smf_approx.py
===================================================================
--- anuga_work/production/sydney_2006/smf_approx.py	(revision 4291)
+++ anuga_work/production/sydney_2006/smf_approx.py	(revision 4294)
@@ -88,5 +88,5 @@
 #par = 'depth'
 #par = 'density'
-par = 'slope'
+par = 'depth'
 
 depths = range(750,2500,50)
@@ -100,5 +100,6 @@
 gammas = [1.46,1.49,1.48]
 smftype = ['Bulli','Shovel','Yacaaba']
-smfdepths = [2087,968,1119]
+#smfdepths = [2087,968,1119]
+smfdepths = [1470,877,1222.5]
 
 if par == 'depth':