Index: /anuga_validation/automated_validation_tests/okushiri_tank_validation/compare_timeseries_with_measures.py
===================================================================
--- /anuga_validation/automated_validation_tests/okushiri_tank_validation/compare_timeseries_with_measures.py	(revision 4333)
+++ /anuga_validation/automated_validation_tests/okushiri_tank_validation/compare_timeseries_with_measures.py	(revision 4334)
@@ -44,35 +44,33 @@
 
 # Expected values
-expected_covariance = {'Boundary': 5.269749049737429159e-05, 
-                       'ch5': 1.163749077455013324e-04,
-                       'ch7': 1.126985405540967749e-04,
-                       'ch9': 1.250280909578863607e-04}
-
-expected_difference = {'Boundary': 8.337114775060755880e-04,
-                       'ch5': 3.385911115917152742e-03,
-                       'ch7': 2.857119198201266575e-03,
-                       'ch9': 3.247257369996859894e-03}
-
-
-
-expected_maximum = {'Boundary': 0.0161886,  
-                    'ch5': 0.03694,
-                    'ch7': 0.03895,
-                    'ch9': 0.04535}
-
-expected_minimum = {'Boundary': -0.0115097, 
-                    'ch5': -0.00896,
-                    'ch7': -0.00725,
-                    'ch9': -0.00255}
-
-expected_argmax = {'Boundary': 12.25, 
-                   'ch5': 18.35,
-                   'ch7': 17.0,
-                   'ch9': 16.85}
-
-expected_argmin = {'Boundary': 20.4, 
-                   'ch5': 13.8,
-                   'ch7': 14.4,
-                   'ch9': 14.35}
+expected_covariance = {'Boundary': 5.269569575007607815e-05, 
+                       'ch5': 1.166277999581819919e-04,
+                       'ch7': 1.127136457890861503e-04,
+                       'ch9': 1.250659477418482129e-04}
+
+expected_difference = {'Boundary': 8.350712673810733924e-04,
+                       'ch5': 3.405426180525532483e-03,
+                       'ch7': 2.852870417368218517e-03,
+                       'ch9': 3.248778982037564891e-03}
+
+expected_maximum = {'Boundary': 1.611749508386188523e-02,  
+                    'ch5': 3.551308418158714147e-02,
+                    'ch7': 3.858418457126511908e-02,
+                    'ch9': 4.317962986578308127e-02}
+
+expected_minimum = {'Boundary': -1.164547474575844919e-02, 
+                    'ch5': -8.664439185502026408e-03,
+                    'ch7': -2.726335488279797541e-03,
+                    'ch9': -5.977581218447349659e-03}
+
+expected_argmax = {'Boundary': 1.255000000000000071e+01, 
+                   'ch5': 1.839999999999999858e+01,
+                   'ch7': 1.700000000000000000e+01,
+                   'ch9': 1.685000000000000142e+01}
+
+expected_argmin = {'Boundary': 2.064999999999999858e+01, 
+                   'ch5': 1.459999999999999964e+01,
+                   'ch7': 1.230000000000000071e+01,
+                   'ch9': 1.315000000000000036e+01}
 
 # Obsolete
@@ -173,5 +171,5 @@
               %(name, reference_value, computed_value,
                 abs(reference_value-computed_value))        
-    # print msg
+    #print msg
    
     assert allclose(reference_value, computed_value), msg
@@ -205,20 +203,20 @@
 
     # Extrema
-    res = max(observed_timeseries)
+    res = max(model)
     report_difference('Maximum', res, expected_maximum[name], eps)
     
-    res = min(observed_timeseries)
+    res = min(model)
     report_difference('Minimum', res, expected_minimum[name], eps)    
 
     # Locations of extrema
-    i0 = argmax(observed_timeseries)
-    #i1 = argmax(model)
-    res = reference_time[i0]
+    #i0 = argmax(observed_timeseries)
+    i1 = argmax(model)
+    res = reference_time[i1]
     report_difference('Location of maximum', res, expected_argmax[name], eps)    
     
 
-    i0 = argmin(observed_timeseries)
-    #i1 = argmin(model)
-    res = reference_time[i0]
+    #i0 = argmin(observed_timeseries)
+    i1 = argmin(model)
+    res = reference_time[i1]
     report_difference('Location of minimum', res, expected_argmin[name], eps)        
 
Index: /anuga_validation/automated_validation_tests/okushiri_tank_validation/run_okushiri.py
===================================================================
--- /anuga_validation/automated_validation_tests/okushiri_tank_validation/run_okushiri.py	(revision 4333)
+++ /anuga_validation/automated_validation_tests/okushiri_tank_validation/run_okushiri.py	(revision 4334)
@@ -58,5 +58,5 @@
 domain.set_maximum_allowed_speed(0.1)     # Allow a little runoff (0.1 is OK)
 
-domain.H0=0
+# domain.H0=0
 
 # Try this, (and comment H0=0 out) but the comparison may have to