Index: /anuga_work/production/sydney_2006/report/birubi_A_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/birubi_A_map.tex	(revision 4342)
+++ /anuga_work/production/sydney_2006/report/birubi_A_map.tex	(revision 4343)
@@ -1,4 +1,4 @@
 \begin{figure}[p]
-%\centerline{\includegraphics[scale=0.55]{../report_figures/birubiAimageryreviseddepth.jpg}}
+\centerline{\includegraphics[scale=0.55]{../report_figures/birubiAimageryreviseddepth.jpg}}
 \caption{Maximum inundation map for the potential Birubi slide in region A. Data: NSW Department of Lands and AHO.}  
 \label{fig:birubiA}
Index: /anuga_work/production/sydney_2006/report/birubi_B_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/birubi_B_map.tex	(revision 4342)
+++ /anuga_work/production/sydney_2006/report/birubi_B_map.tex	(revision 4343)
@@ -1,4 +1,4 @@
 \begin{figure}[p]
-%\centerline{\includegraphics[scale=0.55]{../report_figures/birubiBimageryreviseddepth.jpg}}
+\centerline{\includegraphics[scale=0.55]{../report_figures/birubiBimageryreviseddepth.jpg}}
 \caption{Maximum inundation map for the potential Birubi slide in region B. Data: NSW Department of Lands and AHO.}  
 \label{fig:birubiB}
Index: /anuga_work/production/sydney_2006/report/birubi_C0_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/birubi_C0_map.tex	(revision 4342)
+++ /anuga_work/production/sydney_2006/report/birubi_C0_map.tex	(revision 4343)
@@ -1,4 +1,4 @@
 \begin{figure}[p]
-%\centerline{\includegraphics[scale=0.55]{../report_figures/birubiCimageryreviseddepth.jpg}}
+\centerline{\includegraphics[scale=0.55]{../report_figures/birubiCimageryreviseddepth.jpg}}
 \caption{Maximum inundation map for the potential Birubi slide in region C. Data: NSW Department of Lands and AHO.}  
 \label{fig:birubiC0}
Index: /anuga_work/production/sydney_2006/report/bulli_C0_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/bulli_C0_map.tex	(revision 4342)
+++ /anuga_work/production/sydney_2006/report/bulli_C0_map.tex	(revision 4343)
@@ -1,4 +1,4 @@
 \begin{figure}[p]
-%\centerline{\includegraphics[scale=0.55]{../report_figures/bulliC0imageryreviseddepth.jpg}}
+\centerline{\includegraphics[scale=0.55]{../report_figures/bulliC0imageryreviseddepth.jpg}}
 \caption{Maximum inundation map for a potential Bulli slide in region C0. Data: NSW Department of Lands and AHO.}  
 \label{fig:bulliC0}
Index: /anuga_work/production/sydney_2006/report/shovel_C0_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/shovel_C0_map.tex	(revision 4342)
+++ /anuga_work/production/sydney_2006/report/shovel_C0_map.tex	(revision 4343)
@@ -1,4 +1,4 @@
 \begin{figure}[p]
-%\centerline{\includegraphics[scale=0.55]{../report_figures/shovelC0imageryreviseddepth.jpg}}
+\centerline{\includegraphics[scale=0.55]{../report_figures/shovelC0imageryreviseddepth.jpg}}
 \caption{Maximum inundation map for a potential Shovel slide in region C0. Data: NSW Department of Lands and AHO.}  
 \label{fig:shovelC0}
Index: /anuga_work/production/sydney_2006/report/sydney_2006_report.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/sydney_2006_report.tex	(revision 4342)
+++ /anuga_work/production/sydney_2006/report/sydney_2006_report.tex	(revision 4343)
@@ -22,5 +22,5 @@
 \usepackage{amsmath}
 \usepackage{amssymb}
-\usepackage[pdftex]{graphicx}
+\usepackage{graphicx}
 \usepackage{color}
 \usepackage[colorlinks]{hyperref}
@@ -70,51 +70,68 @@
   \section{Inundation modelling results}
      \label{sec:results}
-     \input{interpretation} 
+         
+\input{interpretation} 
 
 \input{bulli_A_map} 
  \clearpage 
+ 
  \input{shovel_A_map} 
  \clearpage 
+ 
  \input{yacaaba_A_map} 
  \clearpage 
+ 
  \input{birubi_A_map} 
  \clearpage 
  
- \input{bulli_B_map} 
+\input{bulli_b_map} 
  \clearpage 
+ 
  \input{shovel_B_map} 
-  \clearpage 
+ \clearpage 
+ 
  \input{yacaaba_B_map} 
  \clearpage 
-  \input{birubi_B_map} 
+ 
+ \input{birubi_B_map} 
  \clearpage 
  
-  \input{bulli_C0_map} 
+ \input{bulli_C0_map} 
+  \clearpage 
+  
+  \input{shovel_C0_map} 
+  \clearpage 
+  
+  \input{yacaaba_C0_map} 
+  \clearpage 
+  
+  \input{birubi_C0_map} 
+  \clearpage 
+ 
+ \input{bulli_C_map} 
    \clearpage 
-  \input{shovel_C0_map} 
+   
+   \input{shovel_C_map} 
    \clearpage 
-  \input{yacaaba_C0_map} 
- \clearpage
-  \input{birubi_C0_map} 
- \clearpage 
- 
-\input{bulli_C_map} 
- \clearpage 
-\input{shovel_C_map} 
- \clearpage 
-\input{yacaaba_C_map} 
- \clearpage 
-  \input{birubi_C_map} 
- \clearpage 
- 
+   
+   \input{yacaaba_C_map} 
+   \clearpage 
+   
+   \input{birubi_C_map} 
+  \clearpage 
+  
   \input{bulli_C2_map} 
-   \clearpage 
-  \input{shovel_C2_map} 
-   \clearpage 
- \input{yacaaba_C2_map} 
- \clearpage 
-  \input{birubi_C2_map} 
- \clearpage 
- 
+    \clearpage 
+    
+    \input{shovel_C2_map} 
+    \clearpage 
+    
+    \input{yacaaba_C2_map} 
+    \clearpage 
+    
+    \input{birubi_C2_map} 
+  \clearpage 
+
+
      \section{Summary}
      \label{sec:summary}
@@ -146,11 +163,11 @@
    \section{Time series}
      \label{sec:timeseries}
-%\input{latexoutput20061211071516} 
+\input{latexoutput20061211071516} 
  \clearpage 
  
-%\input{latexoutput20061211060105} 
+\input{latexoutput20061211060105} 
  \clearpage 
  
-%\input{latexoutput20061211073709} 
+\input{latexoutput20061211073709} 
  \clearpage 
  
Index: /anuga_work/production/sydney_2006/report/yacaaba_C0_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/yacaaba_C0_map.tex	(revision 4342)
+++ /anuga_work/production/sydney_2006/report/yacaaba_C0_map.tex	(revision 4343)
@@ -1,4 +1,4 @@
 \begin{figure}[p]
-%\centerline{\includegraphics[scale=0.55]{../report_figures/yacaabaC0imageryreviseddepth.jpg} }
+\centerline{\includegraphics[scale=0.55]{../report_figures/yacaabaC0imageryreviseddepth.jpg} }
 \caption{Maximum inundation map for a potential Yacaaba slide in region C0. Data: NSW Department of Lands and AHO.}  
 \label{fig:yacaabaC0}