Index: /anuga_work/production/newcastle_2006/export_results.py
===================================================================
--- /anuga_work/production/newcastle_2006/export_results.py	(revision 4345)
+++ /anuga_work/production/newcastle_2006/export_results.py	(revision 4346)
@@ -23,14 +23,24 @@
 
 #corrected yacaaba and birubi
-time_dir = '20070322_004007' # yacaaba_c1 - potential
-#time_dir = '20070322_003255' # yacaaba_c2 - historical
+#time_dir = '20070323_012157' # yacaaba_c1 - potential
+#time_dir = '20070323_012425' # yacaaba_c2 - historical
 #time_dir = '20070322_032705' # birubi_c1 - historical
 #time_dir = '20070322_032618' # birubi_c2 - potential
+#time_dir = '20070322_060006' # bulli_c2 - potential
+#time_dir = '20070322_060132' # shovel_c2 - potential
 
 # new region
 #time_dir = '20070322_033350' # birubi
-#time_dir = '20070322_033545' # yacaaba
+#time_dir = '20070323_012310' # yacaaba
 #time_dir = '20070322_033716' # shovel
 #time_dir = '20070322_033608' # bulli
+
+# rerun
+#time_dir = '20070331_080432' # birubi - historical
+#time_dir = '20070331_070841' # yacaaba - c1
+#time_dir = '20070331_080603' # birubi - c2
+time_dir = '20070401_030248' # yacaaba - historical
+#time_dir = '20070331_080235' # bulli - c2
+#time_dir = '20070331_080213' # shovel - c2
 
 directory = project_slide.outputdir
@@ -39,5 +49,5 @@
 is_parallel = False
 if is_parallel == True: nodes = 4
-print 'output dir:', name
+print 'output dir:', directory + time_dir
 
 which_var = 2
@@ -51,5 +61,5 @@
 
 if which_var == 2:  # Depth
-    outname = name + '_depth-yacaaba'
+    outname = name + '_depth'
     quantityname = 'stage-elevation'  
 
@@ -84,8 +94,12 @@
                 quantity = quantityname,
                 cellsize = 25,      
-                easting_min = project_slide.eastingmin,
-                easting_max = project_slide.eastingmax,
-                northing_min = project_slide.northingmin,
-                northing_max = project_slide.northingmax,        
+##                easting_min = project_slide.eastingmin1,
+##                easting_max = project_slide.eastingmax1,
+##                northing_min = project_slide.northingmin1,
+##                northing_max = project_slide.northingmax1,
+                easting_min = project_slide.eastingmin2,
+                easting_max = project_slide.eastingmax2,
+                northing_min = project_slide.northingmin2,
+                northing_max = project_slide.northingmax2, 
                 reduction = max, 
                 verbose = True,
Index: /anuga_work/production/newcastle_2006/project_slide.py
===================================================================
--- /anuga_work/production/newcastle_2006/project_slide.py	(revision 4345)
+++ /anuga_work/production/newcastle_2006/project_slide.py	(revision 4346)
@@ -117,15 +117,21 @@
 poly_surveyclip = read_polygon(polygondir+'surveyclip.csv')
 
-# exporting asc grid
-eastingmin = 366890
-eastingmax = 404270
-northingmin = 6335450
-northingmax = 6375630
+# exporting asc grid for c1
+eastingmin1 = 366890
+eastingmax1 = 404270
+northingmin1 = 6335450
+northingmax1 = 6375630
 
-# exporting asc grid for Michelle
-eastingmin = 386450
-eastingmax = 432900
-northingmin = 6357500
-northingmax = 6400700
+# exporting asc grid for Michelle and for c2
+eastingmin2 = 386450
+eastingmax2 = 432900
+northingmin2 = 6357500
+northingmax2 = 6400700
+
+# exporting asc grid - The Entrance
+eastingmin0 = 350950
+eastingmax0 = 370015
+northingmin0 = 6305280
+northingmax0 = 6325620
 
 ###################################################################
@@ -177,8 +183,8 @@
 
 #yacaaba_depth = 1119.0
-yacaaba_depth = 938
-yacaaba_length = 4189
-yacaaba_thickness = 53
-yacaaba_width = 2898
+yacaaba_depth = 938.0
+yacaaba_length = 4189.0
+yacaaba_thickness = 53.0
+yacaaba_width = 2898.0
 yacaaba_density = 1.48
 yacaaba_slope = 2.3
Index: /anuga_work/production/newcastle_2006/run_newcastle_slide.py
===================================================================
--- /anuga_work/production/newcastle_2006/run_newcastle_slide.py	(revision 4345)
+++ /anuga_work/production/newcastle_2006/run_newcastle_slide.py	(revision 4346)
@@ -133,5 +133,5 @@
 domain.set_quantity('elevation', 
                     filename = project_slide.combined_dem_name + '.pts',
-                    use_cache = True,
+                    use_cache = False,
                     verbose = True,
                     alpha = 0.1
@@ -143,12 +143,12 @@
 from smf import slide_tsunami
 
-tsunami_source = slide_tsunami(length=project_slide.shovel_length,
-                               width=project_slide.shovel_width,
-                               depth=project_slide.shovel_depth,
-                               slope=project_slide.shovel_slope,
-                               thickness=project_slide.shovel_thickness, 
-                               x0=project_slide.slide_origin_shovel_c2[0], 
-                               y0=project_slide.slide_origin_shovel_c2[1], 
-                               alpha=project_slide.shovel_alpha, 
+tsunami_source = slide_tsunami(length=project_slide.yacaaba_length,
+                               width=project_slide.yacaaba_width,
+                               depth=project_slide.yacaaba_depth,
+                               slope=project_slide.yacaaba_slope,
+                               thickness=project_slide.yacaaba_thickness, 
+                               x0=project_slide.slide_origin_yacaaba[0], 
+                               y0=project_slide.slide_origin_yacaaba[1], 
+                               alpha=project_slide.yacaaba_alpha, 
                                domain=domain)
 
@@ -173,5 +173,5 @@
 from anuga.abstract_2d_finite_volumes.quantity import Quantity
 
-for t in domain.evolve(yieldstep = 30, finaltime = 5000): 
+for t in domain.evolve(yieldstep = 30, finaltime = 10000): 
     domain.write_time()
     domain.write_boundary_statistics(tags = 'e14')
Index: /anuga_work/production/sydney_2006/export_results.py
===================================================================
--- /anuga_work/production/sydney_2006/export_results.py	(revision 4345)
+++ /anuga_work/production/sydney_2006/export_results.py	(revision 4346)
@@ -13,6 +13,6 @@
 #time_dir = '20070121_213444' #bulli
 #corrected yacaaba and birubi
-time_dir = '20070322_035214' # yacaaba
-#time_dir = '20070322_035135' # birubi
+#time_dir = '20070322_035214' # yacaaba
+time_dir = '20070322_035135' # birubi
 
 directory = project_slide.outputdir
@@ -25,5 +25,5 @@
 print 'output dir:', name
 
-which_var = 0
+which_var = 2
 if which_var == 0:  # Stage
     outname = name + '_stage-eq-thurs-test'
@@ -35,5 +35,5 @@
 
 if which_var == 2:  # Depth
-    outname = name + '_depth-yacaaba'
+    outname = name + '_depth'
     quantityname = 'stage-elevation'  
 
Index: /anuga_work/production/sydney_2006/report/anuga_setup.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/anuga_setup.tex	(revision 4345)
+++ /anuga_work/production/sydney_2006/report/anuga_setup.tex	(revision 4346)
@@ -160,5 +160,5 @@
 C & Birubi - Historical & ${\rm newcastle \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
-20070325\_064917}$ \\ \hline
+20070331\_080432}$ \\ \hline
 C & Bulli (near Historical Birubi) &  ${\rm newcastle \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
@@ -169,17 +169,17 @@
 C & Yacaaba (near Historical Birubi) & ${\rm newcastle \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
-20070325\_065002}$ \\ \hline
+20070331\_070841}$ \\ \hline
 C & Yacaaba - Historical & ${\rm newcastle \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
-20070325\_064426}$ \\ \hline
+220070402\_062735}$ \\ \hline
 C & Birubi (near Historical Yacaaba) & ${\rm newcastle \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
-20070325\_064651}$ \\ \hline
+20070331\_080603}$ \\ \hline
 C & Shovel (near Historical Yacaaba) & ${\rm newcastle \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
-20070325\_064525}$ \\ \hline
+20070331\_080213}$ \\ \hline
 C & Bulli (near Historical Yacaaba) & ${\rm newcastle \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
-20070325\_064602}$ \\ \hline
+20070331\_080235}$ \\ \hline
 C0 & Bulli &  ${\rm newcastle \_tsunami\_scenario\_2006 \backslash anuga
 \backslash outputs \backslash
Index: /anuga_work/production/sydney_2006/report/birubi_C0_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/birubi_C0_map.tex	(revision 4345)
+++ /anuga_work/production/sydney_2006/report/birubi_C0_map.tex	(revision 4346)
@@ -1,4 +1,4 @@
 \begin{figure}[p]
-\centerline{\includegraphics[scale=0.55]{../report_figures/birubiCimageryreviseddepth.jpg}}
+\centerline{\includegraphics[scale=0.55]{../report_figures/birubiC0imageryreviseddepth.jpg}}
 \caption{Maximum inundation map for the potential Birubi slide in region C. Data: NSW Department of Lands and AHO.}  
 \label{fig:birubiC0}
Index: /anuga_work/production/sydney_2006/report/birubi_C2_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/birubi_C2_map.tex	(revision 4345)
+++ /anuga_work/production/sydney_2006/report/birubi_C2_map.tex	(revision 4346)
@@ -1,5 +1,5 @@
 \begin{figure}[p]
-%\centerline{\includegraphics[scale=0.55]{../report_figures/birubiC2imageryreviseddepth.jpg}}
-\caption{Maximum inundation map for the potential Birubi slide in region C (near Historical Yacaaba). Data: NSW Department of Lands and AHO.}  
+\centerline{\includegraphics[scale=0.55]{../report_figures/birubiC2imageryreviseddepth.jpg}}
+\caption{Maximum inundation map for the potential Birubi slide in region C2 (near Historical Yacaaba). Data: NSW Department of Lands and AHO.}  
 \label{fig:birubiC2}
 \end{figure}
Index: /anuga_work/production/sydney_2006/report/birubi_C_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/birubi_C_map.tex	(revision 4345)
+++ /anuga_work/production/sydney_2006/report/birubi_C_map.tex	(revision 4346)
@@ -1,4 +1,4 @@
 \begin{figure}[p]
-%\centerline{\includegraphics[scale=0.55]{../report_figures/birubiCimageryreviseddepth.jpg}}
+\centerline{\includegraphics[scale=0.55]{../report_figures/birubiCimageryreviseddepth.jpg}}
 \caption{Maximum inundation map for the historical Birubi slide in region C. Data: NSW Department of Lands and AHO.}  
 \label{fig:birubiC}
Index: /anuga_work/production/sydney_2006/report/bulli_C2_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/bulli_C2_map.tex	(revision 4345)
+++ /anuga_work/production/sydney_2006/report/bulli_C2_map.tex	(revision 4346)
@@ -1,5 +1,5 @@
 \begin{figure}[p]
-%\centerline{\includegraphics[scale=0.55]{../report_figures/bulliC2imageryreviseddepth.jpg}}
-\caption{Maximum inundation map for a potential Bulli slide in region C (near Historical Yacaaba). Data: NSW Department of Lands and AHO.}  
+\centerline{\includegraphics[scale=0.55]{../report_figures/bulliC2imageryreviseddepth.jpg}}
+\caption{Maximum inundation map for a potential Bulli slide in region C2 (near Historical Yacaaba). Data: NSW Department of Lands and AHO.}  
 \label{fig:bulliC2}
 \end{figure}
Index: /anuga_work/production/sydney_2006/report/interpretation.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/interpretation.tex	(revision 4345)
+++ /anuga_work/production/sydney_2006/report/interpretation.tex	(revision 4346)
@@ -78,5 +78,5 @@
 
 \begin{figure}[p]
-\centerline{\includegraphics[scale=0.25]{../report_figures/depthvsampdataslide.png}}
+%\centerline{\includegraphics[scale=0.25]{../report_figures/depthvsampdataslide.png}}
 \caption{Relationship between characteristic 3D amplitude and depth
 for each slide volume.}
Index: /anuga_work/production/sydney_2006/report/shovel_C2_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/shovel_C2_map.tex	(revision 4345)
+++ /anuga_work/production/sydney_2006/report/shovel_C2_map.tex	(revision 4346)
@@ -1,5 +1,5 @@
 \begin{figure}[p]
-%\centerline{\includegraphics[scale=0.55]{../report_figures/shovelC2imageryreviseddepth.jpg}}
-\caption{Maximum inundation map for a potential Shovel slide in region C (near Historical Yacaaba). Data: NSW Department of Lands and AHO.}  
+\centerline{\includegraphics[scale=0.55]{../report_figures/shovelC2imageryreviseddepth.jpg}}
+\caption{Maximum inundation map for a potential Shovel slide in region C2 (near Historical Yacaaba). Data: NSW Department of Lands and AHO.}  
 \label{fig:shovelC2}
 \end{figure}
Index: /anuga_work/production/sydney_2006/report/sydney_2006_report.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/sydney_2006_report.tex	(revision 4345)
+++ /anuga_work/production/sydney_2006/report/sydney_2006_report.tex	(revision 4346)
@@ -85,5 +85,5 @@
  \clearpage 
  
-\input{bulli_b_map} 
+\input{bulli_B_map} 
  \clearpage 
  
@@ -163,12 +163,12 @@
    \section{Time series}
      \label{sec:timeseries}
-\input{latexoutput20061211071516} 
- \clearpage 
+%\input{latexoutput20061211071516} 
+ %\clearpage 
  
-\input{latexoutput20061211060105} 
- \clearpage 
+%\input{latexoutput20061211060105} 
+% \clearpage 
  
-\input{latexoutput20061211073709} 
- \clearpage 
+%\input{latexoutput20061211073709} 
+% \clearpage 
  
 
Index: /anuga_work/production/sydney_2006/report/yacaaba_C2_map.tex
===================================================================
--- /anuga_work/production/sydney_2006/report/yacaaba_C2_map.tex	(revision 4345)
+++ /anuga_work/production/sydney_2006/report/yacaaba_C2_map.tex	(revision 4346)
@@ -1,5 +1,5 @@
 \begin{figure}[p]
 %\centerline{\includegraphics[scale=0.55]{../report_figures/yacaabaC2imageryreviseddepth.jpg} }
-\caption{Maximum inundation map for the historical Yacaaba slide in region C. Data: NSW Department of Lands and AHO.}  
+\caption{Maximum inundation map for the historical Yacaaba slide in region C2. Data: NSW Department of Lands and AHO.}  
 \label{fig:yacaabaC2}
 \end{figure}
Index: /anuga_work/production/wollongong_2006/export_results.py
===================================================================
--- /anuga_work/production/wollongong_2006/export_results.py	(revision 4345)
+++ /anuga_work/production/wollongong_2006/export_results.py	(revision 4346)
@@ -44,5 +44,5 @@
 
 if which_var == 2:  # Depth
-    outname = name + '_depth-yacaaba'
+    outname = name + '_depth-origclip'
     quantityname = 'stage-elevation'  
 
Index: /anuga_work/production/wollongong_2006/project_slide.py
===================================================================
--- /anuga_work/production/wollongong_2006/project_slide.py	(revision 4345)
+++ /anuga_work/production/wollongong_2006/project_slide.py	(revision 4346)
@@ -118,8 +118,8 @@
 
 # exporting asc grid for Amy
-eastingmin = 282000
-eastingmax = 306500
-northingmin = 6131750
-northingmax = 6170850
+##eastingmin = 282000
+##eastingmax = 306500
+##northingmin = 6131750
+##northingmax = 6170850
 
 ###################################################################